## mender-connect 2.3.0+ds1

=== Makefile ===
DESTDIR ?= /
prefix ?= $(DESTDIR)
bindir=/usr/bin
datadir ?= /usr/share
sysconfdir ?= /etc
systemd_unitdir ?= /lib/systemd

GO ?= go
GOFMT ?= gofmt
GOCYCLO ?= gocyclo
V ?=
PKGS = $(shell go list ./...)
PKGFILES = $(shell find . \( -path ./vendor \) -prune \
		-o -type f -name '*.go' -print)
PKGFILES_notest = $(shell echo $(PKGFILES) | tr ' ' '\n' | grep -v '_test.go' )
GOCYCLO_LIMIT ?= 15

TOOLS = \
	github.com/fzipp/gocyclo                     \
	gitlab.com/opennota/check/cmd/varcheck       \
	github.com/mendersoftware/deadcode           \
	github.com/mendersoftware/gobinarycoverage

VERSION = $(shell git describe --tags --dirty --exact-match 2>/dev/null || git rev-parse --short HEAD)

GO_LDFLAGS = \
	-ldflags "-X github.com/mendersoftware/mender-connect/config.Version=$(VERSION)"

ifeq ($(V),1)
BUILDV = -v
endif

TAGS =
ifeq ($(LOCAL),1)
TAGS += local
endif

ifneq ($(TAGS),)
BUILDTAGS = -tags '$(TAGS)'
endif

build: mender-connect

clean:
	@$(GO) clean
	@-rm -f coverage.txt

mender-connect: $(PKGFILES)
	@$(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)

install: install-bin install-systemd

install-bin: mender-connect
	@install -m 755 -d $(prefix)$(bindir)
	@install -m 755 mender-connect $(prefix)$(bindir)/

install-conf:
	@install -m 755 -d $(prefix)$(sysconfdir)/mender
	@install -m 600 examples/mender-connect.conf $(prefix)$(sysconfdir)/mender/

install-systemd:
	@install -m 755 -d $(prefix)$(systemd_unitdir)/system
	@install -m 0644 support/mender-connect.service $(prefix)$(systemd_unitdir)/system/

uninstall: uninstall-bin uninstall-systemd

uninstall-bin:
	@rm -f $(prefix)$(bindir)/mender-connect
	@-rmdir -p $(prefix)$(bindir)

uninstall-systemd:
	@rm -f $(prefix)$(systemd_unitdir)/system/mender-connect.service
	@-rmdir -p $(prefix)$(systemd_unitdir)/system

check: test extracheck

test:
	@$(GO) test $(BUILDV) $(PKGS)

extracheck: gofmt govet godeadcode govarcheck gocyclo
	@echo "All extra-checks passed!"

gofmt:
	@echo "-- checking if code is gofmt'ed"
	@if [ -n "$$($(GOFMT) -d $(PKGFILES))" ]; then \
		"$$($(GOFMT) -d $(PKGFILES))" \
		echo "-- gofmt check failed"; \
		/bin/false; \
	fi

govet:
	@echo "-- checking with govet"
	@$(GO) vet -unsafeptr=false

godeadcode:
	@echo "-- checking for dead code"
	@deadcode -ignore version.go:Version

govarcheck:
	@echo "-- checking with varcheck"
	@varcheck ./...

gocyclo:
	@echo "-- checking cyclometric complexity > $(GOCYCLO_LIMIT)"
	@$(GOCYCLO) -over $(GOCYCLO_LIMIT) $(PKGFILES_notest)

cover: coverage
	@$(GO) tool cover -func=coverage.txt

htmlcover: coverage
	@$(GO) tool cover -html=coverage.txt

coverage:
	@rm -f coverage.txt
	@$(GO) test -coverprofile=coverage-tmp.txt -coverpkg=./... ./...
	@if [ -f coverage-missing-subtests.txt ]; then \
		echo 'mode: set' > coverage.txt; \
		cat coverage-tmp.txt coverage-missing-subtests.txt | grep -v 'mode: set' >> coverage.txt; \
	else \
		mv coverage-tmp.txt coverage.txt; \
	fi
	@rm -f coverage-tmp.txt coverage-missing-subtests.txt

.PHONY: build
.PHONY: clean
.PHONY: get-tools
.PHONY: test
.PHONY: check
.PHONY: extracheck
.PHONY: cover
.PHONY: htmlcover
.PHONY: coverage
.PHONY: install
.PHONY: install-bin
.PHONY: install-systemd
.PHONY: uninstall
.PHONY: uninstall-bin
.PHONY: uninstall-systemd

## mender-connect 2.1.0+ds1

=== debian/changelog ===
mender-connect (2.1.0+ds1-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:56:32 +1100

mender-connect (2.1.0+ds1-4build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:44:31 +0000

mender-connect (2.1.0+ds1-4build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:16:48 +1200

mender-connect (2.1.0+ds1-4) unstable; urgency=medium

  * Disable autopkgtest
  * Add debian/patches/0003-Fix-racing-connection-tests.patch

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 10 Jan 2023 14:13:51 +0100

mender-connect (2.1.0+ds1-3) unstable; urgency=medium

  * Add debian/patches/0002-Fix-limits-test-user-name-mixup.patch

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 09 Jan 2023 22:08:10 +0100

mender-connect (2.1.0+ds1-2) unstable; urgency=medium

  * Install mender-connect.service
  * Inject version number into mender-connect binary
  * Install upstreams mender-connect.conf

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 08 Jan 2023 18:31:19 +0100

mender-connect (2.1.0+ds1-1) experimental; urgency=medium

  * Initial release (Closes: #1026275)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 17 Dec 2022 18:44:12 +0100

=== debian/control ===
Source: mender-connect
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>
Section: golang
#Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-creack-pty-dev,
               golang-github-go-ozzo-ozzo-validation.v4-dev,
               golang-github-mendersoftware-go-lib-micro-dev,
               golang-github-pkg-errors-dev,
               golang-github-satori-go.uuid-dev,
               golang-github-stretchr-testify-dev,
               golang-github-urfave-cli-v2-dev,
	       golang-github-vmihailenco-msgpack.v5-dev,
               golang-logrus-dev,
               golang-websocket-dev,
               pkg-config,
               libglib2.0-dev,
               dbus-test-runner <!nocheck>,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/mender-connect
Vcs-Git: https://salsa.debian.org/go-team/packages/mender-connect.git
Homepage: https://github.com/mendersoftware/mender-connect
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/mendersoftware/mender-connect

Package: mender-connect
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: mender-client
Built-Using: ${misc:Built-Using}
Description: remote shell access add-on
 This package contains the remote shell access add-on. It enhances the
 Mender client (mender-client), allowing to log in to the devices
 remotely and start a shell in a remote terminal session.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/mendersoftware/mender-connect/tags .*/v?(\d\S*)\.tar\.gz debian

## mender-connect 2.3.0+ds1

=== debian/changelog ===
mender-connect (2.3.0+ds1-1) unstable; urgency=medium

  * Build-dep pkg-config -> pkgconf
  * New upstream release.
  * Drop debian/patches, merged upstream.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 04 Jan 2025 18:05:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mender-connect
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Section: golang
 #Testsuite: autopkgtest-pkg-go
@@ -18,7 +17,7 @@
 	       golang-github-vmihailenco-msgpack.v5-dev,
                golang-logrus-dev,
                golang-websocket-dev,
-               pkg-config,
+               pkgconf,
                libglib2.0-dev,
                dbus-test-runner <!nocheck>,
 Standards-Version: 4.6.0

=== debian/rules ===
#!/usr/bin/make -f

DEB_DESTDIR := debian/mender-connect

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- \
		-ldflags "-X github.com/mendersoftware/mender-connect/config.Version=$(DEB_VERSION)"

override_dh_auto_install:
	dh_auto_install -- --no-source
	# Install example config provided by upstream
	$(MAKE) DESTDIR=$(DEB_DESTDIR) install-conf

override_dh_auto_test:
	dbus-test-runner \
		--bus-type=system \
		--max-wait=600 \
		-t dh_auto_test

## mender-connect 2.3.1

=== debian/changelog ===
mender-connect (2.3.1-1+ubuntu+noble) stable; urgency=medium

  * Release 2.3.1-1+ubuntu+noble. See online docs for complete changelog

 -- root <root@9a6c7980e4e6>  Thu, 24 Jul 2025 18:17:12 +0000

## mender-connect 2.3.1-build1

=== debian/changelog ===
mender-connect (2.3.1-build1-1+ubuntu+noble) experimental; urgency=medium

  * Release 2.3.1-build1-1+ubuntu+noble. See online docs for complete
    changelog

 -- root <root@93b1a329a638>  Tue, 22 Jul 2025 09:13:59 +0000

## mender-connect 2.3.1-build2

=== debian/changelog ===
mender-connect (2.3.1-build2-1+ubuntu+noble) experimental; urgency=medium

  * Release 2.3.1-build2-1+ubuntu+noble. See online docs for complete
    changelog

 -- root <root@b013879a10f1>  Tue, 22 Jul 2025 14:21:48 +0000

## mender-connect 2.3.1-build3

=== debian/changelog ===
mender-connect (2.3.1-build3-1+ubuntu+noble) experimental; urgency=medium

  * Release 2.3.1-build3-1+ubuntu+noble. See online docs for complete
    changelog

 -- root <root@77cc73b3aa80>  Wed, 23 Jul 2025 12:25:28 +0000

## mender-connect 2.3.2-build2

=== debian/changelog ===
mender-connect (2.3.2-build2-1+ubuntu+noble) experimental; urgency=medium

  * Release 2.3.2-build2-1+ubuntu+noble. See online docs for complete
    changelog

 -- root <root@211ae36fb806>  Thu, 12 Feb 2026 10:01:08 +0000

## mender-connect 2.4.0~git20250721.5e1858d

=== debian/changelog ===
mender-connect (2.4.0~git20250721.5e1858d-1+ubuntu+noble+builder2015827311) experimental; urgency=medium

  * Release 2.4.0~git20250721.5e1858d-1+ubuntu+noble+builder2015827311.
    See online docs for complete changelog

 -- root <root@cc923aa650f6>  Mon, 01 Sep 2025 20:16:53 +0000

## mender-connect 2.4.0~git20250902.0cff691

=== debian/changelog ===
mender-connect (2.4.0~git20250902.0cff691-2+ubuntu+noble+builder2092099627) experimental; urgency=medium

  * Release 2.4.0~git20250902.0cff691-2+ubuntu+noble+builder2092099627.
    See online docs for complete changelog

 -- root <root@5165dffa9e1c>  Fri, 10 Oct 2025 07:46:03 +0000

## mender-connect 2.4.0~git20260106.90358d1

=== debian/changelog ===
mender-connect (2.4.0~git20260106.90358d1-1+ubuntu+noble+builder2258752316) experimental; urgency=medium

  * Release 2.4.0~git20260106.90358d1-1+ubuntu+noble+builder2258752316.
    See online docs for complete changelog

 -- root <root@c0fd9d6d44cd>  Mon, 12 Jan 2026 20:29:48 +0000

## mender-connect 2.4.0~git20260113.2950f12

=== debian/changelog ===
mender-connect (2.4.0~git20260113.2950f12-1+ubuntu+noble+builder2261058260) experimental; urgency=medium

  * Release 2.4.0~git20260113.2950f12-1+ubuntu+noble+builder2261058260.
    See online docs for complete changelog

 -- root <root@fd03eea18893>  Tue, 13 Jan 2026 20:18:43 +0000

=== debian/control ===
Source: mender-connect
Maintainer: Mender Team <mender@northern.tech>
Section: admin
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9)

Package: mender-connect
Architecture: any
Depends: dbus, mender-auth | mender-client (>3.2.0), ${shlibs:Depends}, ${misc:Depends}
Description: Mender Connect
 Mender Connect is a Mender add-on which enhances the Mender Client providing a bidirectional
 communication channel with the server. It supports the following troubleshooting features:
 - Interactive shell terminal sessions
 - File Transfer
 - Port forward

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make CGO_CFLAGS="${CGO_CFLAGS}" CGO_LDFLAGS="${CGO_LDFLAGS}" CC="${CC}" \
	GOOS=linux CGO_ENABLED=1 build

override_dh_auto_install:
	# All install targets except install-systemd
	DESTDIR=debian/mender-connect make install-bin install-conf

override_dh_auto_test:
	true

override_dh_strip:
	${CROSS_COMPILE}-strip --remove-section=.comment --remove-section=.note \
	debian/mender-connect/usr/bin/mender-connect

## mender-connect 2.4.0~git20260204.f892dd6

=== debian/changelog ===
mender-connect (2.4.0~git20260204.f892dd6-1+ubuntu+noble+builder2325138823) experimental; urgency=medium

  * Release 2.4.0~git20260204.f892dd6-1+ubuntu+noble+builder2325138823.
    See online docs for complete changelog

 -- root <root@14d55866c7a1>  Fri, 13 Feb 2026 20:17:47 +0000
